<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="listeCoTraitant"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="595"
		 pageHeight="842"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="30"
		 rightMargin="30"
		 topMargin="20"
		 bottomMargin="20"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="m_ordre" isForPrompting="true" class="java.lang.Integer">
		<defaultValueExpression ><![CDATA[new Integer(0)]]></defaultValueExpression>
	</parameter>
	<queryString><![CDATA[select distinct 
m.mar_ordre,
m.mar_libelle,
m.mar_clauses,
m.mar_debut,
m.mar_fin,
l.lot_ordre,
l.lot_libelle,
l.lot_debut,
l.lot_fin,
l.lot_ht,
l.lot_index,
p.pas_libelle,
f.fou_ordre,
f.adr_nom,
f.adr_prenom,
f.adr_adresse1,
f.adr_adresse2,
f.adr_cp,
f.adr_ville,
r.rib_titco,
r.rib_num
from jefy_marches.MARCHE m, jefy_marches.LOT l, jefy_marches.passation_marche p, jefy_marches.attribution a, 
jefy_marches.titulaire t ,grhum.v_fournis_grhum f, jefy_marches.v_rib_fou r
where m.mar_ordre= $P{m_ordre}
and l.mar_ordre = m.mar_ordre
and mar_valide = 'O'
and m.mar_suppr = 'N'
and l.lot_suppr = 'N'
and m.mar_passation=p.pas_abbrev 
and l.lot_valide = 'O'
and t.lot_ordre=l.lot_ordre
and t.tit_pere is not null
and f.fou_ordre=t.fou_ordre
and r.fou_ordre=f.fou_ordre
order by m.mar_ordre,l.lot_ordre,f.fou_ordre]]></queryString>

	<field name="MAR_ORDRE" class="java.math.BigDecimal"/>
	<field name="MAR_LIBELLE" class="java.lang.String"/>
	<field name="MAR_CLAUSES" class="java.lang.String"/>
	<field name="MAR_DEBUT" class="java.sql.Timestamp"/>
	<field name="MAR_FIN" class="java.sql.Timestamp"/>
	<field name="LOT_ORDRE" class="java.math.BigDecimal"/>
	<field name="LOT_LIBELLE" class="java.lang.String"/>
	<field name="LOT_DEBUT" class="java.sql.Timestamp"/>
	<field name="LOT_FIN" class="java.sql.Timestamp"/>
	<field name="LOT_HT" class="java.math.BigDecimal"/>
	<field name="LOT_INDEX" class="java.lang.String"/>
	<field name="PAS_LIBELLE" class="java.lang.String"/>
	<field name="FOU_ORDRE" class="java.math.BigDecimal"/>
	<field name="ADR_NOM" class="java.lang.String"/>
	<field name="ADR_PRENOM" class="java.lang.String"/>
	<field name="ADR_ADRESSE1" class="java.lang.String"/>
	<field name="ADR_ADRESSE2" class="java.lang.String"/>
	<field name="ADR_CP" class="java.lang.String"/>
	<field name="ADR_VILLE" class="java.lang.String"/>
	<field name="RIB_TITCO" class="java.lang.String"/>
	<field name="RIB_NUM" class="java.lang.String"/>

	<variable name="adr_nom_prnom" class="java.lang.String" resetType="Report" calculation="Nothing">
		<variableExpression><![CDATA[(($F{ADR_NOM}!=null)?$F{ADR_NOM}.toString()+" ":"")
+
(($F{ADR_PRENOM}!=null)?$F{ADR_PRENOM}.toString():"")]]></variableExpression>
		<initialValueExpression><![CDATA[(($F{ADR_NOM}!=null)?$F{ADR_NOM}.toString()+" ":"")
+
(($F{ADR_PRENOM}!=null)?$F{ADR_PRENOM}.toString():"")]]></initialValueExpression>
	</variable>
	<variable name="adr_adresse" class="java.lang.String" resetType="Group" resetGroup="Fournisseur" calculation="Nothing">
		<variableExpression><![CDATA[(($F{ADR_NOM}!=null)?$F{ADR_NOM}.toString()+" ":"")
+
(($F{ADR_PRENOM}!=null)?$F{ADR_PRENOM}.toString():"")
+
"\n"+(($F{ADR_ADRESSE2}!=null)?$F{ADR_ADRESSE1}.toString()+"\n"+$F{ADR_ADRESSE2}.toString():$F{ADR_ADRESSE1}.toString())
+
"\n"+$F{ADR_CP}.toString()+" "+$F{ADR_VILLE}.toString()]]></variableExpression>
		<initialValueExpression><![CDATA[(($F{ADR_NOM}!=null)?$F{ADR_NOM}.toString()+" ":"")
+
(($F{ADR_PRENOM}!=null)?$F{ADR_PRENOM}.toString():"")
+
"\n"+(($F{ADR_ADRESSE2}!=null)?$F{ADR_ADRESSE1}.toString()+"\n"+$F{ADR_ADRESSE2}.toString():$F{ADR_ADRESSE1}.toString())
+
"\n"+$F{ADR_CP}.toString()+" "+$F{ADR_VILLE}.toString()]]></initialValueExpression>
	</variable>

		<group  name="lot" >
			<groupExpression><![CDATA[$F{LOT_ORDRE}]]></groupExpression>
			<groupHeader>
			<band height="110"  isSplitAllowed="true" >
				<line direction="TopDown">
					<reportElement
						x="0"
						y="1"
						width="535"
						height="0"
						key="line-2"/>
					<graphicElement stretchType="NoStretch"/>
				</line>
				<textField isStretchWithOverflow="false" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="2"
						y="6"
						width="493"
						height="32"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font pdfFontName="Helvetica-Oblique" isItalic="true" isUnderline="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Lot : "+$F{LOT_LIBELLE}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="dd/MM/yyyy" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="114"
						y="41"
						width="107"
						height="18"
						key="textField-4"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.sql.Timestamp"><![CDATA[$F{LOT_DEBUT}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="49"
						y="41"
						width="63"
						height="18"
						key="staticText-4"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font/>
					</textElement>
				<text><![CDATA[Date Debut :]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="224"
						y="41"
						width="52"
						height="18"
						key="staticText-5"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font/>
					</textElement>
				<text><![CDATA[Date Fin :]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" pattern="dd/MM/yyyy" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="278"
						y="41"
						width="102"
						height="18"
						key="textField-5"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.sql.Timestamp"><![CDATA[$F{LOT_FIN}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="49"
						y="62"
						width="69"
						height="18"
						key="staticText-6"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font/>
					</textElement>
				<text><![CDATA[Montant HT :]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" pattern="#,##0.00 ¤" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="119"
						y="62"
						width="102"
						height="18"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.math.BigDecimal"><![CDATA[$F{LOT_HT}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="5"
						y="85"
						width="103"
						height="13"
						key="staticText-7"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font pdfFontName="Helvetica-Oblique" isItalic="true" isUnderline="true"/>
					</textElement>
				<text><![CDATA[Sous Traitants :]]></text>
				</staticText>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<group  name="Fournisseur" >
			<groupExpression><![CDATA[$F{FOU_ORDRE}]]></groupExpression>
			<groupHeader>
			<band height="97"  isSplitAllowed="true" >
				<line direction="TopDown">
					<reportElement
						x="0"
						y="0"
						width="0"
						height="97"
						key="line-3"/>
					<graphicElement stretchType="NoStretch"/>
				</line>
				<staticText>
					<reportElement
						x="23"
						y="79"
						width="103"
						height="13"
						key="staticText-8"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font pdfFontName="Helvetica-Oblique" isBold="false" isItalic="true" isUnderline="true"/>
					</textElement>
				<text><![CDATA[RIB :]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="23"
						y="7"
						width="504"
						height="66"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$V{adr_adresse}]]></textFieldExpression>
				</textField>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="108"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="2"
						y="42"
						width="528"
						height="37"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font pdfFontName="Helvetica-Bold" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Marche : "+$F{MAR_LIBELLE}]]></textFieldExpression>
				</textField>
				<line direction="TopDown">
					<reportElement
						x="0"
						y="38"
						width="535"
						height="1"
						key="line-1"/>
					<graphicElement stretchType="NoStretch"/>
				</line>
				<staticText>
					<reportElement
						x="184"
						y="82"
						width="50"
						height="18"
						key="staticText-2"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font pdfFontName="Helvetica-Bold" isBold="true"/>
					</textElement>
				<text><![CDATA[Date Fin :]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="3"
						y="82"
						width="61"
						height="18"
						key="staticText-3"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font pdfFontName="Helvetica-Bold" isBold="true"/>
					</textElement>
				<text><![CDATA[Date Debut :]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" pattern="dd/MM/yyyy" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="68"
						y="82"
						width="105"
						height="18"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font pdfFontName="Helvetica-Bold" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.sql.Timestamp"><![CDATA[$F{MAR_DEBUT}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="dd/MM/yyyy" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="238"
						y="82"
						width="100"
						height="18"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font pdfFontName="Helvetica-Bold" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.sql.Timestamp"><![CDATA[$F{MAR_FIN}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="7"
						width="535"
						height="26"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center">
						<font size="18"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Liste Sous-Traitant "]]></textFieldExpression>
				</textField>
			</band>
		</title>
		<pageHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="28"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="47"
						y="5"
						width="479"
						height="18"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{RIB_TITCO} + " " + $F{RIB_NUM}]]></textFieldExpression>
				</textField>
				<line direction="TopDown">
					<reportElement
						x="0"
						y="0"
						width="0"
						height="28"
						key="line-4"/>
					<graphicElement stretchType="NoStretch"/>
				</line>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="25"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="501"
						y="4"
						width="29"
						height="18"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.Integer"><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="36"
						y="6"
						width="456"
						height="13"
						key="textField-2"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center">
						<font size="10"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["LISTE SOUS-TRAITANTS"]]></textFieldExpression>
				</textField>
			</band>
		</pageFooter>
		<lastPageFooter>
			<band height="23"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="501"
						y="2"
						width="29"
						height="18"
						key="textField-1"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.Integer"><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="36"
						y="4"
						width="456"
						height="13"
						key="textField-6"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center">
						<font size="10"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["LISTE SOUS-TRAITANTS"]]></textFieldExpression>
				</textField>
			</band>
		</lastPageFooter>
		<summary>
			<band height="1"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
